/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 * http://www.jcuda.org
 *
 * Copyright 2009-2012 Marco Hutter - http://www.jcuda.org
 */

package org.jcuda.samples.matrix.cg;

/**
 * Interface for a matrix that stores float values in host memory 
 */
interface FloatMatrixHost extends Matrix
{
    /**
     * Return the value at the specified row and column
     * 
     * @param r The row
     * @param c The column
     * @return The value
     */
    float get(int r, int c);
}